VPS
Restore from backup
post
/vps/{vps_id}/backups/{backup_id}/restoreRestore your server to a previous state from a backup. This will overwrite all current data on the server.
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Path parameters
vps_id*integer
Range
1 ≤ valuebackup_id*integer
Range
1 ≤ valueRequest body
Restore backup request
application/jsonRequired
confirm?boolean
Confirmation that user wants to restore
Default
trueResponses
Successful Response
application/json
detail*string
Human-readable confirmation message.